import { getEndpointPlugin } from "@smithy/middleware-endpoint";
import { getSerdePlugin } from "@smithy/middleware-serde";
import { Command as $Command } from "@smithy/smithy-client";
import { commonParams } from "../endpoint/EndpointParameters";
import { ListRasterDataCollectionsInputFilterSensitiveLog, ListRasterDataCollectionsOutputFilterSensitiveLog, } from "../models/models_0";
import { de_ListRasterDataCollectionsCommand, se_ListRasterDataCollectionsCommand } from "../protocols/Aws_restJson1";
export { $Command };
export class ListRasterDataCollectionsCommand extends $Command
    .classBuilder()
    .ep({
    ...commonParams,
})
    .m(function (Command, cs, config, o) {
    return [
        getSerdePlugin(config, this.serialize, this.deserialize),
        getEndpointPlugin(config, Command.getEndpointParameterInstructions()),
    ];
})
    .s("SageMakerGeospatial", "ListRasterDataCollections", {})
    .n("SageMakerGeospatialClient", "ListRasterDataCollectionsCommand")
    .f(ListRasterDataCollectionsInputFilterSensitiveLog, ListRasterDataCollectionsOutputFilterSensitiveLog)
    .ser(se_ListRasterDataCollectionsCommand)
    .de(de_ListRasterDataCollectionsCommand)
    .build() {
}
