import { getEndpointPlugin } from "@smithy/middleware-endpoint";
import { getSerdePlugin } from "@smithy/middleware-serde";
import { Command as $Command } from "@smithy/smithy-client";
import { commonParams } from "../endpoint/EndpointParameters";
import { StartEarthObservationJobInputFilterSensitiveLog, StartEarthObservationJobOutputFilterSensitiveLog, } from "../models/models_0";
import { de_StartEarthObservationJobCommand, se_StartEarthObservationJobCommand } from "../protocols/Aws_restJson1";
export { $Command };
export class StartEarthObservationJobCommand extends $Command
    .classBuilder()
    .ep({
    ...commonParams,
})
    .m(function (Command, cs, config, o) {
    return [
        getSerdePlugin(config, this.serialize, this.deserialize),
        getEndpointPlugin(config, Command.getEndpointParameterInstructions()),
    ];
})
    .s("SageMakerGeospatial", "StartEarthObservationJob", {})
    .n("SageMakerGeospatialClient", "StartEarthObservationJobCommand")
    .f(StartEarthObservationJobInputFilterSensitiveLog, StartEarthObservationJobOutputFilterSensitiveLog)
    .ser(se_StartEarthObservationJobCommand)
    .de(de_StartEarthObservationJobCommand)
    .build() {
}
