import {
  AwsSdkSigV4AuthInputConfig,
  AwsSdkSigV4AuthResolvedConfig,
  AwsSdkSigV4PreviouslyResolved,
} from "@aws-sdk/core";
import {
  HandlerExecutionContext,
  HttpAuthScheme,
  HttpAuthSchemeParameters,
  HttpAuthSchemeParametersProvider,
  HttpAuthSchemeProvider,
} from "@smithy/types";
import { SageMakerGeospatialClientResolvedConfig } from "../SageMakerGeospatialClient";
export interface SageMakerGeospatialHttpAuthSchemeParameters
  extends HttpAuthSchemeParameters {
  region?: string;
}
export interface SageMakerGeospatialHttpAuthSchemeParametersProvider
  extends HttpAuthSchemeParametersProvider<
    SageMakerGeospatialClientResolvedConfig,
    HandlerExecutionContext,
    SageMakerGeospatialHttpAuthSchemeParameters,
    object
  > {}
export declare const defaultSageMakerGeospatialHttpAuthSchemeParametersProvider: (
  config: SageMakerGeospatialClientResolvedConfig,
  context: HandlerExecutionContext,
  input: object
) => Promise<SageMakerGeospatialHttpAuthSchemeParameters>;
export interface SageMakerGeospatialHttpAuthSchemeProvider
  extends HttpAuthSchemeProvider<SageMakerGeospatialHttpAuthSchemeParameters> {}
export declare const defaultSageMakerGeospatialHttpAuthSchemeProvider: SageMakerGeospatialHttpAuthSchemeProvider;
export interface HttpAuthSchemeInputConfig extends AwsSdkSigV4AuthInputConfig {
  httpAuthSchemes?: HttpAuthScheme[];
  httpAuthSchemeProvider?: SageMakerGeospatialHttpAuthSchemeProvider;
}
export interface HttpAuthSchemeResolvedConfig
  extends AwsSdkSigV4AuthResolvedConfig {
  readonly httpAuthSchemes: HttpAuthScheme[];
  readonly httpAuthSchemeProvider: SageMakerGeospatialHttpAuthSchemeProvider;
}
export declare const resolveHttpAuthSchemeConfig: <T>(
  config: T & HttpAuthSchemeInputConfig & AwsSdkSigV4PreviouslyResolved
) => T & HttpAuthSchemeResolvedConfig;
